<template>
  <form>
    <div class="form-group">
      <input
        type="text"
        name="leaderboard"
        v-model="adv.leaderBoardImage"
        placeholder="Leaderboard Image URL (Ex: http://rstyle.com/728x90.jpg)"
        class="form-control"
        id="leaderboard"
        dir="auto"
      />
    </div>
    <div class="form-group">
      <input
        type="text"
        name="mobile"
        v-model="adv.mobileImage"
        placeholder="Mobile Image URL (Ex: http://rstyle.com/300x250.jpg)"
        class="form-control"
        id="mobile"
        dir="auto"
      />
    </div>
    <div class="form-group">
      <input
        type="text"
        name="ad_link"
        v-model="adv.advLink"
        placeholder="Ad Link (Ex: http://rstyle.com/X7rJw)"
        class="form-control"
        id="ad_link"
        dir="auto"
      />
    </div>
    <base-button @click.prevent="addAdv" class="btn btn-default" role="button"
      >INSERT ADS</base-button
    >
  </form>
</template>

<script>
import Alert from "@/components/Alert";
import { ModalBus } from "../eventBus";

export default {
  props: {
    idx: Number
  },
  data() {
    return {
      adv: {
        leaderBoardImage: "",
        mobileImage: "",
        advLink: "",
        idx: this.idx
      }
    };
  },
  methods: {
    addAdv() {
      console.log("submit form!");
      if (
        this.adv.leaderBoardImage == "" ||
        this.adv.mobileImage == "" ||
        this.adv.advLink == ""
      ) {
        let props = {};
        props.type = "warning";
        props.text = "Missing data when adding sale banner.";
        ModalBus.$emit("open", {
          component: Alert,
          title: "Warning",
          mode: "fiftyPercent",
          props
        });
      } else {
        this.$store.dispatch("ACTION_ADD_ADV", this.adv);
        this.$emit("on-close");
      }
    }
  }
};
</script>
